9.8. Encodage à partir de nombreux fichiers Image (JPEG, PNG, TGA, SGI)
Précédent | Chapitre 9. Utilisation basique de MEncoder | Suivant

## 9.8. Encodage à partir de nombreux fichiers Image (JPEG, PNG, TGA, SGI)

MEncoder est capable de créer des fichiers à partir de un ou plusieurs fichiers JPEG, PNG ou TGA. Avec une simple copie de trame il peut créer des fichiers MJPEG (Motion JPEG), MPNG (Motion PNG) ou MTGA (Motion TGA).

Explication du fonctionnement :

1. MEncoder décode le(s) image(s) d'origine(s) avec `libjpeg` (pour décoder des PNGs, il utilisera `libpng`).

2. MEncoder envoie alors l'image décodée au compresseur vidéo choisi (DivX4, Xvid, ffmpeg msmpeg4, etc.).

Exemples. Une explication de l'option `-mf` peut être trouvée dans la page de man.

Créer un fichier Mpeg-4 à partir de tous les fichiers JPEG du répertoire courant:

    mencoder -mf://*.jpg -mf w=800:h=600:fps=25:type=jpg -ovc lavc
    -lavcopts vcodec=mpeg4 -oac copy -o
    sortie.avi

Créer un fichier MPEG-4 à partir de quelques fichiers JPEG du répertoire courant:

    mencoder
    mf://trame001.jpg,trame002.jpg -mf
    w=800:h=600:fps=25:type=jpg -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell
    -oac copy -o sortie.avi

Création d'un fichier MPEG4 depuis une liste de fichiers JPEG (le fichier list.txt contenu dans le répertoire courant, liste les fichiers utilisés comme source, un par ligne):

    mencoder mf://@list.txt -mf w=800:h=600:fps=25:type=jpg \
        -ovc lavc -lavcopts vcodec=mpeg4:mbd=2:trell -oac copy -o sortie.avi

Il est possible de mélanger différents types d'images, quelque soit la méthode utilisée — fichiers individuels, joker( i.e * ) ou fichier avec liste — à condition que, bien sûr, elles soient de même dimension. De fait, vous pouvez par exemple, prendre une image de type PNG comme titre, et ensuite faire un diaporama de vos photos JPEG.

Créer un fichier Motion JPEG (MJPEG) à partir de tous les fichiers JPEG du répertoire courant:

    mencoder mf://*.jpg -mf w=800:h=600:fps=25:type=jpg -ovc copy -oac copy -o sortie.avi

Créer un fichier non-compressé à partir de tous les fichiers PNG du répertoire courant:

    mencoder mf://*.png -mf w=800:h=600:fps=25:type=png -ovc raw -oac copy -o sortie.avi

### Note

La largeur doit être un entier multiple de 4, c'est une limitation du format AVI RGB brut.

Créer un fichier Motion PNG (MPNG) à partir de tous les fichiers PNG du répertoire courant:

    mencoder mf://*.png -mf w=800:h=600:fps=25:type=png -ovc copy -oac copy -o sortie.avi

Créer un fichier Motion TGA (MTGA) à partir de tous les fichiers TGA du répertoire courant:

    mencoder mf://*.tga -mf w=800:h=600:fps=25:type=tga -ovc copy -oac
    copy -o sortie.avi

Précédent | Niveau supérieur | Suivant
9.7. Copie de flux | Sommaire | 9.9. Extraction des sous-titres DVD depuis fichier Vobsub